Get Ldap Identity Source

Get Ldap Identity Source
Get an LDAP identity source

Returns the configuration of the LDAP identity source identified by identity-source-id.

Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/iam/ldap-identity-sources/{identity-source-id}
COPY
Path Parameters
string
identity-source-id
Required

The id of the LDAP identity source, as returned by GET /iam/ldap-identity-sources.

Query Parameters
boolean
check_connection_status
Optional
Constraints: default: false

If true, Installer re-probes connectivity to the LDAP server before responding and includes the fresh result in connectivity_result. Defaults to false, which returns the stored configuration without re-checking connectivity (faster, but the connectivity result may be stale).


Authentication
This operation uses the following authentication methods.
Responses
200

The LDAP identity source was retrieved successfully.

Returns LdapIdentitySource of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineLdapIdentitySource1
{
    "id": "8f3a1c2b-5678-4e22-8b4d-1a2b3c4d5e6f",
    "domain_name": "corp.example.com",
    "base_distinguished_name": "dc=corp,dc=example,dc=com",
    "ldap_type": "ACTIVE_DIRECTORY",
    "ldap_server": {
        "url": "ldaps://ldap.corp.example.com:636",
        "bind_identity": "[email protected]",
        "enabled": true
    },
    "connectivity_result": {
        "result": "SUCCESS"
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

4XX and 5XX type errors with appropriate message

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/iam/ldap-identity-sources/{identity-source-id}